soundconverter (3.0.0~beta1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 16 Jun 2017 00:55:25 +0200

soundconverter (3.0.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    - Fix URI handling. (Closes: #812748)
  * debian/rules: Remove get-orig-source since we are using upstream's tarball
    again.
  * debian/{contol,compat,rules}: Bump to debhelper compat 10.
  * debian/control:
    - Bump Standards-Version
    - Raise gstreamer1.0-plugins-ugly to Recommends (Closes: #840373)
    - Update Vcs-*.
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 May 2017 21:14:16 +0200

soundconverter (3.0.0~alpha1+git20151209-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix filtering in open files dialog. (Closes: #806372)
    - Prevent crash causes by exceeding maximum recursion depth. (Closes:
      #806990)
  * debian/control:
    - Add gir1.2-notify-0.7 to Recommends.
    - Move gstreamer1.0-libav to Recommends.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 10 Dec 2015 19:21:51 +0100

soundconverter (3.0.0~alpha1+git20151119-1) unstable; urgency=medium

  * New upstream snapshot.
    - Force numbers to be integers in filename patterns. (Closes: #804454)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Nov 2015 23:39:49 +0100

soundconverter (3.0.0~alpha1+git20150413-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream snapshot.
  * debian/patches: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Oct 2015 00:17:30 +0200

soundconverter (3.0.0~alpha1-2) experimental; urgency=medium

  * debian/control: Set Multimedia Team as Maintainer, move myself to
    Uploaders.
  * debian/patches/xing-header-vbr.patch: Only add Xing header if VBR MP3s are
    generated.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Feb 2015 21:30:56 +0100

soundconverter (3.0.0~alpha1-1) experimental; urgency=medium

  * New upstream release.
    - Use gio instead of gnomevfs (Closes: #757587)
  * debian/control:
    - Adopt package. Thank you for maintaing soundconverter, Lars. (Closes:
      #775658)
    - Bump Standards-Version to 3.9.6.
    - Update (Build-)Depends:
      + Replace python with python3 variants.
      + Replace gstreamer0.10 with gstreamer1.0.
      + Replace GTK+ 2 packages with GTK+ 3 GIT packages.
      + Add dh-autoreconf, dh-python and libglib2.0-dev.
  * debian/rules:
    - Use dh_python3 instead of dh_python2.
    - Use dh_autoreconf.
    - Do not run tests which are not included in the tarball.
    - Install everything to /usr/share/soundconverter.
  * debian/patches: Added upstream patches for a missing import and proper
    lame plugin detection.
  * debian/{gbp.conf,watch}: Added.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 19 Jan 2015 00:19:28 +0100

soundconverter (2.1.4-3) unstable; urgency=medium

  * Really orphan package.

 -- Debian QA Group <packages@qa.debian.org>  Sun, 18 Jan 2015 12:22:25 +0200

soundconverter (2.1.4-2) unstable; urgency=medium

  * Orphan package. I no longer use it myself. Lars Wirzenius.

 -- Debian QA Group <packages@qa.debian.org>  Sun, 18 Jan 2015 11:47:31 +0200

soundconverter (2.1.4-1) unstable; urgency=medium

  * New upstream version.
    * Fix "delivers outdated link to debian-multimedia.org". Upstream
      has updated the web page to explain how to get MP3 encoding to
      work by linking to deb-multimedia.org instead of
      debian-multimedia.org. (Closes: #733587)
    * Fix "Please upgrade soundconverter". (Closes: #739582)
    * Fix "Licensing issue on images files". Upstream has a new logo
      file that is in the public domain. See commit
      7d90194a6aa86ce10dbcfa1faa0c6d488f535bcf in the upstream git
      repository. (Closes: #763062)

 -- Lars Wirzenius <liw@liw.fi>  Sat, 01 Nov 2014 09:15:12 +0000

soundconverter (2.1.3-1) unstable; urgency=medium

  [Dan Alderman]
  * Prepared an unreleased and unuploaded 2.1.2-1 package and tested that.

  [Lars Wirzenius]
  * New upstream version.
  * Standards-Version bumped; no other changes needed.

 -- Lars Wirzenius <liw@liw.fi>  Tue, 03 Jun 2014 13:37:00 +0000

soundconverter (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * debian/compat: Bump to 9.
  * debian/control: Bump Build-Depends on debhelper to current version.
  * debian/rules: Remove all customization.

 -- Lars Wirzenius <liw@liw.fi>  Wed, 22 Feb 2012 21:58:39 +0000

soundconverter (1.5.4-1) unstable; urgency=low

  * New upstream version. This should fix the following bugs in Debian:
    - soundconverter stops converting m4a files sudently.. (Closes: #468846)
    - should depend on package gstreamer0.10-lame (Closes: #571521)
    - please support gnome audio profiles (Closes: #500239)
    - please package new version (Closes: #606764)
  * New Debian package maintainer. Thanks, Jason Heeris, for the previous
    uploads.
  * Removed debian/patches: the only patch is no longer required.
  * Removed debian/watch: it didn't work after upstream moved from
    Berlios, and I can't be bothered. (I would prefer watch files
    to be maintained in a central location, and not require packaging
    updates when upstream moves.)
  * Packaging re-done to use dh.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 26 Nov 2011 12:14:13 +0000

soundconverter (1.4.4-2) unstable; urgency=low

  * Changed copyright information.
  * Removed dependency on gstreamer0.10-gnomevfs. Closes: #546451

 -- Jason Heeris <jason.heeris@gmail.com>  Sun, 13 Sep 2009 20:08:13 +0800

soundconverter (1.4.4-1) unstable; urgency=low

  * New upstream release. (Closes: #524455)
  * Updated watch file (gz => bz2).
  * Included "get-orig-source" target.

 -- Jason Heeris <jason.heeris@gmail.com>  Sun, 30 Aug 2009 18:28:42 +0800

soundconverter (1.3.1-1) unstable; urgency=low

  * New upstream release. (Closes: #482772)
    - Can run multiple jobs simultaneously. (Closes: #401148)
  * Sync from Ubuntu.
  * Acknowledge NMU, thanks Ben.
  * debian/patches/100_dont_overwrite_source.diff: Drop. New upstream
    version includes it.
  * debian/control:
    - Update standards version to 3.8.0. No other changes were required.
    - Update maintainer email address.
  * debian/copyright: Update years and emails, and mention GPL3ing of
    the packaging.

 -- William Grant <william@qeuni.net>  Sat, 26 Jul 2008 18:16:59 +1000

soundconverter (1.2.0-0ubuntu1) intrepid; urgency=low

  * New upstream release.
    - Reset progress indiciator after a conversion. (LP: #104450)
  * debian/patches/fix-add_uris-crash.patch: Drop. Included upstream.

 -- William Grant <william@qeuni.net>  Wed, 04 Jun 2008 13:38:33 +1000

soundconverter (1.0.1-0ubuntu2) hardy; urgency=low

  * debian/patches/fix-add_uris-crash.patch: Don't crash on an invalid URI.
    Backported from 1.0.2. (LP: #211210)

 -- William Grant <william@qeuni.net>  Tue, 22 Apr 2008 22:08:07 +1000

soundconverter (1.0.1-0ubuntu1) hardy; urgency=low

  * New upstream release.
    - Fix crasher with unicode filenames. (LP: #212730)
    - Fix crasher when removing messy unicode chars. (LP: #216119)

 -- William Grant <william@qeuni.net>  Mon, 21 Apr 2008 23:27:33 +1000

soundconverter (1.0.0-0ubuntu1) hardy; urgency=low

  * New upstream release.
    - Only format tags when displaying. (LP: #179886)
    - Fix filename_to_uri to remove gvfs error at startup. (LP: #208794)

 -- William Grant <william@qeuni.net>  Mon, 07 Apr 2008 09:15:41 +1000

soundconverter (0.9.9-0ubuntu1) hardy; urgency=low

  * New upstream release. (LP: #208544)

 -- William Grant <william@qeuni.net>  Sat, 29 Mar 2008 10:07:55 +1100

soundconverter (0.9.8-0ubuntu1) hardy; urgency=low

  * New upstream release. (LP: #181611)
  * debian/control:
    - Depend on gstreamer0.10-plugins-base. (LP: #154617)
    - Don't Suggest gstreamer0.10-lame. It's not in an official
      repository.
    - Bump Standards-Version to 3.7.3.
    - Migrate to official Homepage field. 
  * debian/patches/fix-desktop-file.patch: Drop Encoding and duplicate Name
    fields from soundconverter.desktop.

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 10 Jan 2008 18:55:34 +1100

soundconverter (0.9.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add dependency on gstreamer0.10-plugins-base. (Closes: #487045)
  * Apply upstream change to prevent overwriting source file. (Closes: #461526)
  * Convert Homepage to a real control field.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 18:03:11 +0000

soundconverter (0.9.7-1) unstable; urgency=low

  * New upstream release.
    - License is now GPLv3.
    - Better replace-messy-chars. (Closes: #401147)
  * Update debian/copyright for new license.

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 02 Aug 2007 11:16:36 +1000

soundconverter (0.9.6-1) unstable; urgency=low

  * Merge from Ubuntu.
    - Proper upstream patch to fix URL-encoding and space mangling.
      (Closes: #423158)

 -- William Grant <william.grant@ubuntu.org.au>  Thu, 17 May 2007 16:33:25 +1000

soundconverter (0.9.6-0ubuntu1) gutsy; urgency=low

  * New upstream release
    - Don't write to URL-encoded filenames (LP: #109365)
  * debian/copyright: Update.
  * debian/watch: Add.
  * debian/control: Add python-gnome2 to build-depends, as configure wants it.
  * debian/patches/01_add_desktop_icon.patch: Drop, now included upstream.

 -- William Grant <william.grant@ubuntu.org.au>  Sun, 29 Apr 2007 08:22:10 +1000

soundconverter (0.9.4-2) unstable; urgency=low

  * Add upstream patch to stop URL-encoding of output filenames.
    (Closes: #415771)
  * debian/watch: Add.

 -- William Grant <william.grant@ubuntu.org.au>  Mon, 16 Apr 2007 20:23:57 +1000

soundconverter (0.9.4-1) unstable; urgency=low

  * Merge from Ubuntu.
    - Link to instructions for MP3 support. (Closes: 398188)
  * Update Maintainer address.
  * Update description to match .desktop.
  * Add gstreamer0.10-{lame,ffmpeg} to Suggests.

 -- William Grant <william.grant@ubuntu.org.au>  Fri,  2 Mar 2007 10:07:57 +1100

soundconverter (0.9.4-0ubuntu1) feisty; urgency=low

  * New upstream release.
    - Don't crash on special characters such as spaces (LP: #87768)
    - Create VBR MP3s with proper length (LP: #87715)
    - Display an error with link to a howto when codec is missing (LP: #41457)
  * Don't copy the logo into /usr/share/pixmaps for use as an icon; upstream
    now supplies a proper one.
  * Fix up .desktop:
    - Clarify GenericName.
    - Change Icon to respect new upstream logo.
    - Add semicolon to end of Categories.

 -- William Grant <william.grant@ubuntu.org.au>  Fri,  2 Mar 2007 07:49:34 +1100

soundconverter (0.9.3-1ubuntu1) feisty; urgency=low

  * Fix 01_add_desktop_icon.patch to modify soundconverter.desktop.in.in,
    rather than soundconverter.desktop or soundconverter.desktop.in.
    (Closes Launchpad #70019)
  * Symlink the icon into /usr/share/pixmaps.
  * Partially HIGify (and fix a spelling mistake in) the .desktop.

 -- William Grant <william.grant@ubuntu.org.au>  Wed, 31 Jan 2007 23:25:03 +1100

soundconverter (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Set menu icon. It's not square, but it's there. (Closes: #395458)

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Mon,  6 Nov 2006 17:45:02 +1100

soundconverter (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Mon, 16 Oct 2006 17:44:21 +1000

soundconverter (0.9.1-1) unstable; urgency=low

  * New upstream release.
    - Change gstreamer0.8* dependencies to the equivalent gstreamer0.10 ones
      (Closes: #380473).
    - Drop the Debian .desktop, as there's now one included upstream.
    - Use CDBS, as the new upstream uses autotools.
    - Add python-gtk2 to Build-Depends-Indep, due to autotools detection.
  * Bumped debhelper dependency to >= 5.
  * New maintainer.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Sun, 24 Sep 2006 23:17:02 +1000

soundconverter (0.8.7-2) unstable; urgency=low

  * debian/control: Added missing dependency gstreamer0.8-gnomevfs.
    Thanks, Martin Schulze. Closes: #382279.
  * soundconverter.py: Changed the charset declaration from "latin-1"
    to "iso-8859-1". Thanks, Mario Iseli. Closes: #385181.
  * debian/control: Added an XS-Python-Version header.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 30 Aug 2006 14:00:59 +0300

soundconverter (0.8.7-1) unstable; urgency=low

  * New upstream release. Fixes these bugs reported to Debian:
    - "-t flag doesn't work" (Close: #370724)
  * Fix translations so that all languages are not French (or its bastard
    child, English). (Closes: #378479)
  * debian/control: Added a Build-Depends-Indep for gettext and libexpat1
    (so that xgettext works on glade files), since we now use xgettext in
    the build.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 30 Jul 2006 14:20:14 +0300

soundconverter (0.8.6-1) unstable; urgency=low

  * New upstream version. (Skipped a couple of them. People nag at me too
    little.) Fixes Debian bug:
    - "doesn't load any mp3/ogg input file" (Closes: #367253)
  * debian/control: Bumped Standards-Version, no other changes needed for
    this.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 14 Jul 2006 21:37:06 +0300

soundconverter (0.8.3-1) unstable; urgency=low

  * New upstream version. Closes: #356183.
  * debian/control: "Depends" on gstreamer0.8-mad added, so that decoding
    MP3 will work.
  * debian/control: "Suggests" on gstreamer0.8-lame added, so that encoding
    to MP3 will work. The package is not provided by Debian, but it exists
    in a fairly popular inofficial repository by Marillat.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 11 Mar 2006 15:04:30 +0200

soundconverter (0.8.0-1) unstable; urgency=low

  * First release of the Debian package. Took some inspiration and the
    .desktop file from the packaging for Ubuntu by Daniel Holbach.
    Closes: #303986.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 23 Oct 2005 18:35:39 +0300

